window.Joomla = window.Joomla || {};

(function (window, Joomla) {
    Joomla.toggleField = function (id, task, field) {

        var f = document.adminForm, i = 0, cbx, cb = f[ id ];

        if (!cb) return false;

        while (true) {
            cbx = f[ 'cb' + i ];

            if (!cbx) break;

            cbx.checked = false;
            i++;
        }

        var inputField   = document.createElement('input');

        inputField.type  = 'hidden';
        inputField.name  = 'field';
        inputField.value = field;
        f.appendChild(inputField);

        cb.checked = true;
        f.boxchecked.value = 1;
        Joomla.submitform(task);

        return false;
    };
})(window, Joomla);

(function( $ ) {
	'use strict';

    /**
	 * Toggle video upload/url fields required
	 *
	 * @since  4.1.0
	 */
     function toggleVideoFieldsRequired() {
        if ( $( 'input[name="jform_video_field_type"]:checked' ).val() == 'url' ) {
            $( '#jform_video' ).removeClass( 'required' ).removeAttr( 'required' );
            $( '#jform_video_url' ).addClass( 'required' );
        } else {
            $( '#jform_video_url' ).removeClass( 'required' ).removeAttr( 'required' );
            $( '#jform_video' ).addClass( 'required' );
        };
    }

	/**
	 * Called when the page has loaded.
	 *
	 * @since 4.1.0
	 */
	$(function() {
        // Toggle upload/url fields
        $( '.avs-form-field-type input[type=radio]' ).on( 'change', function() {
            var type = this.value;

            if ( type == 'url' ) {
                $( this ).closest( '.controls' ).find( '.avs-form-field-upload' ).hide();
                $( this ).closest( '.controls' ).find( '.avs-form-field-url' ).show();     
            } else {
                $( this ).closest( '.controls' ).find( '.avs-form-field-url' ).hide();
                $( this ).closest( '.controls' ).find( '.avs-form-field-upload' ).show();
            }
        });

        // Append a star on the conditionally required field elements
        $( '.required-conditionally-label' ).append( '<span class="star" aria-hidden="true">&nbsp;*</span>' );

        // Toggle required fields
        $( '#jform_type', '#video-form' ).on('change', function() {
            var type = $( this ).val();

            $( '.required-conditionally' ).removeClass( 'required' ).removeAttr( 'required' );

            switch ( type ) {
                case 'youtube':
                case 'vimeo':
                case 'hls':
                case 'thirdparty':
                    $( '#jform_' + type ).addClass( 'required' );
                    break;
                default:
                    toggleVideoFieldsRequired();
            };

            document.formvalidator.attachToForm( $( '#video-form' ).get(0) ); 
        }).trigger( 'change' );

        $( 'input[name="jform_video_field_type"]' ).on( 'change', function() {
            toggleVideoFieldsRequired();
            document.formvalidator.attachToForm( $( '#video-form' ).get(0) ); 
        });

        // Modal
        var modalbox = document.getElementById( 'avs-modal-box' );

        if ( modalbox ) {
            var modalTitle = modalbox.querySelector( '.modal-title' );
            var modalBody = modalbox.querySelector( '.modal-body' );	

            modalbox.addEventListener( 'show.bs.modal', function( event ) {
                // Button that triggered the modal
                var button = event.relatedTarget;

                // Set the modal title
                var title = button.getAttribute( 'data-bs-title' );
                modalTitle.textContent = title;               
                
                // Set the modal content
                var item_url = button.getAttribute( 'data-bs-url' );
                modalBody.innerHTML = '<iframe width="640" height="360" src="' + item_url + '" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>';
            });

            modalbox.addEventListener( 'hidden.bs.modal', function( event ) {
                // Set the modal title & content empty
                modalTitle.textContent = ''; 
                modalBody.innerHTML = '';
            });
        }            
	});

})( jQuery );